$(function(){
  var flag = false, // нужен для того, чтоб предотвращать действия во время анимации
      bn = 0, // индекс текущего блока
      blocks = $('#grid li'), // все блоки
      cnt = blocks.length, // кол-во блоков
      mousewheelevt = (/Firefox/i.test(navigator.userAgent)) ? "DOMMouseScroll" : "mousewheel"; // событие прокрутки колеса
  blocks.eq(0).load('loadblocks.html #b0'); // сразу подгружаем контент в первый блок
  // функция определения направления прокрутки колеса
  function getDelta(e){
    var evt = e || window.event;
    evt = evt.originalEvent ? evt.originalEvent : evt;
    return delta = evt.detail ? evt.detail*(-40) : evt.wheelDelta;
  }
  // ловим событие прокрутки
  $(document).on(mousewheelevt+'.my_wheel', function(e){
    e.preventDefault(); // отменяем обычное поведение (страница не скроллится)
    if(flag) return false; // если flag == true, значит в данный момент происходит анимация
    if(getDelta(e) > 0){
      if(bn <= 0) return false; // если дошли до первого блока, то отменяем дальнейшие действия
      --bn; // если блок не первый, то высчитываем индекс предыдущего блока
    } else {
      if(bn >= cnt-1) return false; // если дошли до последнего блока, то отменяем дальнейшие действия
      ++bn; // если блок не последний, то высчитываем индекс следующего блока
    }
    flag = true; // ставим флаг, указывая, что анимация началась
    $('html, body').finish().animate({
      scrollTop : blocks.eq(bn).offset().top // прокручиваем страницу до вычисленного по индексу блока
    }, 1000, function(){
      blocks.eq(bn).load('loadblocks.html #b' + bn); // подгружаем контент для блока
      flag = false; // снимаем флаг, указывая, что анимация завершена
    });
  });
});